Subject: bug#39379: 27.0.60; Fix for #38457 broke ido-vertical-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Feb 2020 19:23:46 +0200

> Date: Sun, 02 Feb 2020 18:13:47 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > 1. $ echo "(ido-mode)(require 'ido-vertical-mode)(ido-vertical-mode)" >
> > .emacs
> > 
> > 2. $ emacs
> > 
> > 3. C-x C-f
> > 
> > 4. The Find file prompt is missing since that commit.
> 
> I see, thanks.
> 
> However, I'm not sure your proposal is the optimal solution: what will
> happen if ido-exhibit uses the old code, and a message is displayed
> while the user goes through the completion candidates?  The trick with
> the overlay was to make sure the message is displayed without
> overwriting the minibuffer prompt.

I think this could be a bug in the display engine, related to resizing
the mini-window when an after-string that includes many newlines is
put at EOB.  Let me look into it.